Eclipse GEF 3.3

## org.eclipse.gef.editpolicies
Class RootComponentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ComponentEditPolicy
              org.eclipse.gef.editpolicies.RootComponentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class RootComponentEditPolicy
extends ComponentEditPolicy

The root component cannot be removed from its parent. This EditPolicy is typically installed on the Viewer's `contents`.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`RootComponentEditPolicy()`

Method Summary
`protected Command` `createDeleteCommand(GroupRequest request)` Overridden to prevent the host from being deleted.

Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy
`getCommand, getDeleteCommand, getOrphanCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RootComponentEditPolicy

    public RootComponentEditPolicy()

Method Detail

### createDeleteCommand

    protected Command createDeleteCommand(GroupRequest request)

  Overridden to prevent the host from being deleted.

  Overrides:
    `createDeleteCommand` in class `ComponentEditPolicy`
  Parameters:
    `request` - the DeleteRequest
  Returns:
    Command `null` or a contribution to the delete
  See Also:
    `ComponentEditPolicy.createDeleteCommand(GroupRequest)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.